# eslint-plugin-css-custom-properties

lint css custom properties in javascript strings

## Installation

You'll first need to install [ESLint](https://eslint.org/):

```sh
npm i eslint --save-dev
```

Next, install `eslint-plugin-css-custom-properties`:

```sh
yarn add eslint-plugin-css-custom-properties --save-dev
```

## Usage

Add `css-custom-properties` to the plugins section of your `.eslintrc` configuration file:

```json
{
    "plugins": [
        "css-custom-properties"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "css-custom-properties/rule-name": 2
    }
}
```

## Supported Rules

* [`css-custom-properties/no-unknown`](https://github.com/Xiphe/eslint-plugin-css-custom-properties/blob/main/docs/rules/no-unknown.md)


